List workflows for the caller workspace
curl --request GET \
--url https://api.pineyard.ai/workflows \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"definition": {
"definitionVersion": 1,
"nodes": [
{
"id": "start",
"type": "start",
"position": {
"x": 0,
"y": 0
},
"data": {}
},
{
"id": "end_ok",
"type": "end",
"position": {
"x": 0,
"y": 1
},
"data": {
"label": "Done"
}
}
],
"edges": [
{
"id": "e1",
"source": "start",
"target": "end_ok"
}
]
},
"definitionVersion": 123,
"callingTimezone": "<string>",
"dailyWindowStart": "<string>",
"dailyWindowEnd": "<string>",
"dialDays": [
123
],
"dailyOutreachCap": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]Workflows
List workflows for the caller workspace
GET
/
workflows
List workflows for the caller workspace
curl --request GET \
--url https://api.pineyard.ai/workflows \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"definition": {
"definitionVersion": 1,
"nodes": [
{
"id": "start",
"type": "start",
"position": {
"x": 0,
"y": 0
},
"data": {}
},
{
"id": "end_ok",
"type": "end",
"position": {
"x": 0,
"y": 1
},
"data": {
"label": "Done"
}
}
],
"edges": [
{
"id": "e1",
"source": "start",
"target": "end_ok"
}
]
},
"definitionVersion": 123,
"callingTimezone": "<string>",
"dailyWindowStart": "<string>",
"dailyWindowEnd": "<string>",
"dialDays": [
123
],
"dailyOutreachCap": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]Required scope:
workflows.view
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK
Available options:
DRAFT, ACTIVE, ARCHIVED Opaque workflow definition JSON object. Graph validation is performed by the workflow validator.
Show child attributes
Show child attributes
Example:
{
"definitionVersion": 1,
"nodes": [
{
"id": "start",
"type": "start",
"position": { "x": 0, "y": 0 },
"data": {}
},
{
"id": "end_ok",
"type": "end",
"position": { "x": 0, "y": 1 },
"data": { "label": "Done" }
}
],
"edges": [
{
"id": "e1",
"source": "start",
"target": "end_ok"
}
]
}

